Get Sales Order
curl --request GET \
--url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"Id": 123,
"Number": "<string>",
"ExternalNumber": "<string>",
"BillingNumber": "<string>",
"CompanyId": 123,
"DepartureCountry": {
"CountryISO": "<string>",
"State": "<string>",
"CurrencyIso": "<string>",
"CurrencyFactor": 123
},
"CustomerId": 123,
"CustomerVatID": "<string>",
"MerchantVatID": "<string>",
"BillingAddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"Shipmentaddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"SalesOrderDate": "2023-11-07T05:31:56Z",
"SalesOrderPaymentDetails": {
"PaymentMethodId": 123,
"PaymentStatus": 0,
"TotalGrossAmount": 123,
"CurrencyIso": "<string>",
"CurrencyFactor": 123,
"DateOfPayment": "2023-11-07T05:31:56Z",
"StillToPay": 123,
"PaymentTarget": 123,
"CashDiscount": 123,
"CashDiscountDays": 123
},
"SalesOrderShippingDetail": {
"ShippingMethodId": 123,
"DeliveryCompleteStatus": 0,
"ShippingPriority": 123,
"ShippingDate": "2023-11-07T05:31:56Z",
"EstimatedDeliveryDate": "2023-11-07T05:31:56Z",
"DeliveredDate": "2023-11-07T05:31:56Z",
"OnHoldReasonId": 123,
"ExtraWeight": 123
},
"ColorcodeId": 123,
"IsExternalInvoice": true,
"Comment": "<string>",
"CustomerComment": "<string>",
"IsCancelled": true,
"LanguageIso": "<string>",
"CancellationDetails": {
"CancellationReasonId": 123,
"CancellationComment": "<string>",
"Date": "2023-11-07T05:31:56Z"
},
"SalesChannelId": "<string>",
"UserCreatedId": 123,
"UserId": 123,
"TransactionStatusId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Sales Order
Get Sales Order
deprecated
Get a specific sales order
GET
/
salesOrders
/
{salesOrderId}
Get Sales Order
curl --request GET \
--url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"Id": 123,
"Number": "<string>",
"ExternalNumber": "<string>",
"BillingNumber": "<string>",
"CompanyId": 123,
"DepartureCountry": {
"CountryISO": "<string>",
"State": "<string>",
"CurrencyIso": "<string>",
"CurrencyFactor": 123
},
"CustomerId": 123,
"CustomerVatID": "<string>",
"MerchantVatID": "<string>",
"BillingAddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"Shipmentaddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"SalesOrderDate": "2023-11-07T05:31:56Z",
"SalesOrderPaymentDetails": {
"PaymentMethodId": 123,
"PaymentStatus": 0,
"TotalGrossAmount": 123,
"CurrencyIso": "<string>",
"CurrencyFactor": 123,
"DateOfPayment": "2023-11-07T05:31:56Z",
"StillToPay": 123,
"PaymentTarget": 123,
"CashDiscount": 123,
"CashDiscountDays": 123
},
"SalesOrderShippingDetail": {
"ShippingMethodId": 123,
"DeliveryCompleteStatus": 0,
"ShippingPriority": 123,
"ShippingDate": "2023-11-07T05:31:56Z",
"EstimatedDeliveryDate": "2023-11-07T05:31:56Z",
"DeliveredDate": "2023-11-07T05:31:56Z",
"OnHoldReasonId": 123,
"ExtraWeight": 123
},
"ColorcodeId": 123,
"IsExternalInvoice": true,
"Comment": "<string>",
"CustomerComment": "<string>",
"IsCancelled": true,
"LanguageIso": "<string>",
"CancellationDetails": {
"CancellationReasonId": 123,
"CancellationComment": "<string>",
"Date": "2023-11-07T05:31:56Z"
},
"SalesChannelId": "<string>",
"UserCreatedId": 123,
"UserId": 123,
"TransactionStatusId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Headers
Path Parameters
Response
Returns the sales order for the given id.
Model Class: SalesOrder
Was this page helpful?